### Virtual Method

# Phosh DBusImplPortalAccess handle_access_dialog

#### Declaration [src]

    gboolean
    handle_access_dialog (
      PhoshDBusImplPortalAccess* object,
      GDBusMethodInvocation* invocation,
      const gchar* arg_handle,
      const gchar* arg_app_id,
      const gchar* arg_parent_window,
      const gchar* arg_title,
      const gchar* arg_subtitle,
      const gchar* arg_body,
      GVariant* arg_options
    )

#### Description [src]

Handler for the `PhoshDBusImplPortalAccess::handle-access-dialog` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the function.

`arg_handle`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_app_id`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_parent_window`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_title`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_subtitle`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_body`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_options`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.